0

For several weeks now I have been unable to update my Ubuntu system with Update Manager. It downloads updates and begins the process and then freezes with this displayed in the Details box:

exim4 (4.76-3ubuntu3.3) precise-security; urgency=medium

The security fix for CVE-2016-1531 now cleans the complete environment
on startup including any subprocesses such as transports that call
other programs.

This change may break existing installations.

Two new configuration options were introduced to change the new default
behaviour, keep_environment and add_environment. The debian
configuration adds the macros MAIN_KEEP_ENVIRONMENT and
MAIN_ADD_ENVIRONMENT to easily set the options.

Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Mar 2016 11:26:13 -

 /tmp/tmpLsdyLB

Looking in /tmp/tmpLsdyLB, I find exactly the text just displayed in the Details box.

By freezes, I mean the Update Manager is no longer responsive. It just sits there like a bump on a log until I kill it via the System Monitor.

Any help will be greatly appreciated.

  • Run sudo apt-get update && sudo apt-get upgrade in a terminal and post any errors. – Panther Mar 27 '16 at 17:38
0

I solved the problem by running Synaptic. I unchecked all repositories but one, did an update, checked the next repository, did an update, etc., until all updates were done, one repository at a time. Why this worked, I do not know.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.